--[[
AdiBags - Legion - Localization
by Zottelchen
version: 2.0.1
This file contains translations for this filter.
]]
local addonName, addon = ...

--<GLOBALS
local _G = _G
local GetLocale = _G.GetLocale
local pairs = _G.pairs
local rawset = _G.rawset
local setmetatable = _G.setmetatable
local tostring = _G.tostring
--GLOBALS>

local L = setmetatable({}, {
  __index = function(self, key)
    if key ~= nil then
      rawset(self, key, tostring(key))
    end
    return tostring(key)
  end,
})
addon.L = L

L["AdiBags never intended to use icons, so they are glitchy. Make sure to disable prefix color, if you use an icon."] =
  true
L["Colored Categories"] = true
L["Colored Prefix"] = true
L["Custom Prefix"] = true
L["Enter a custom prefix for the categories."] = true
L["Filter version"] = true
L["General Settings"] = true
L["If you overwrite prefix or categorie color, you either need to toggle the color setting twice or reload."] = true
L["None"] = true
L["Prefix Categories"] = true
L["Prefix Color"] = true
L["Select a color for the prefix."] = true
L["Select a prefix for the categories, if you like."] = true
L["Settings affecting all categories."] = true
L["Should Categories be colored?"] = true
L["Should the prefix be colored to the filter color? (Only works for text-prefixes, for obvious reasons.)"] = true
L["These settings affect all categories of this filter."] = true
--
L["%sMerge %s%s"] = true
L["Ancient Mana"] = true
L["Ancient Mana, found and used in Sumeru."] = true
L["Artifact Power"] = true
L["Broken Shore"] = true
L["Champion Equipment"] = true
L["Champion Equipment to improve your Champions"] = true
L["Champion Upgrade Tokens"] = true
L["Champion Upgrades"] = true
L["Color"] = true
L["Fishing Bait"] = true
L["Fishing Goods"] = true
L["Fishing bait used for Legion rare fishes"] = true
L["Items from the Broken Shore Zone"] = true
L["Items from the Legion expansion."] = true
L["Items used for upgrading your Champion"] = true
L["Items used to increase Reputation with Legion factions"] = true
L["Items used to upgrade your Legion champions"] = true
L["Items which were used to grant your weapon artifact power (but are now grey vendor trash)"] = true
L["Legion"] = true
L["Merge all %s into a single category."] = true
L["Other Items"] = true
L["Other items not really fitting in another category"] = true
L["Rare Fish"] = true
L["Rare Fish caught in the Broken Isles"] = true
L["Reputation"] = true
L["Select a color for %s."] = true
L["Select a color for the merged %s category."] = true
L["Something is fishy about this category."] = true

local locale = GetLocale()
if locale == "frFR" then
  
elseif locale == "deDE" then
  
elseif locale == "ruRU" then
  
elseif locale == "esES" then
  
elseif locale == "zhTW" then
  
elseif locale == "zhCN" then
  
elseif locale == "koKR" then
  
elseif locale == "ptBR" then
  
elseif locale == "itIT" then
  
end

for k, v in pairs(L) do
  if v == true then
    L[k] = k
  end
end
